/*
 *		C H E C K N U M ( )
 *  Make sure the number given is within certain bounds.  The number
 *  is given in ascii.  -1 is returned if the number is out of bounds
 *  and 0 otherwise.  The value of the signed string number is placed
 *  in the integer pointed at by valuep.
 */
checknum (number, valuep, min, max)
char	*number;
int	*valuep;
int	min;
int	max;
{
	int	val;
	
	if ((val = atoi (number)) == 0 && *number != '0')
		return (-1);
	if (val < min || val > max)
		return (-1);
	*valuep = val;
	return (0);
}

